execute if entity @s[tag=locked] run data remove entity @s interaction
execute if entity @s[tag=locked] run return 0

execute if score time pizzaCalculator > 0 pizzaCalculator if score stage tutorial matches 0 run data remove entity @s interaction
execute if score time pizzaCalculator > 0 pizzaCalculator if score stage tutorial matches 0 run return 0


execute if entity @s[tag=trash_interaction] on target if score carry_pizza pizzaCalculator matches 1 if score sfx settings matches 0 positioned as @s run playsound minecraft:entity.ender_dragon.flap master @a ~ ~ ~ 1 1
execute if entity @s[tag=trash_interaction] if data entity @s interaction if score carry_pizza pizzaCalculator matches 1 positioned as @s if entity @e[tag=hitbox,distance=0..2] run function pizza:setup/reset_pizza
execute if entity @s[tag=trash_interaction] run data remove entity @s interaction
execute if entity @s[tag=trash_interaction] run return 0

execute if entity @s[tag=spawner] on target run function pizza:actions/item_logic/remove_tags

execute if data storage pizza upgrade_0 if entity @s[tag=topping_1_spawner] on target run tag @s add topping_1
execute if data storage pizza upgrade_1 if entity @s[tag=topping_2_spawner] on target run tag @s add topping_2
execute if data storage pizza upgrade_2 if entity @s[tag=topping_3_spawner] on target run tag @s add topping_3
execute if data storage pizza upgrade_3 if entity @s[tag=topping_4_spawner] on target run tag @s add topping_4
execute if data storage pizza upgrade_4 if entity @s[tag=topping_5_spawner] on target run tag @s add topping_5
execute if data storage pizza upgrade_5 if entity @s[tag=topping_6_spawner] on target run tag @s add topping_6
execute if data storage pizza upgrade_6 if entity @s[tag=topping_7_spawner] on target run tag @s add topping_7
execute if data storage pizza upgrade_7 if entity @s[tag=topping_8_spawner] on target run tag @s add topping_8
execute if data storage pizza upgrade_8 if entity @s[tag=topping_9_spawner] on target run tag @s add topping_9
execute if entity @s[tag=dough_spawner] on target run tag @s add dough
execute if entity @s[tag=cheese_spawner] on target run tag @s add cheese
execute if entity @s[tag=marinara_sauce_spawner] on target run tag @s add marinara
execute if data storage pizza upgrade_9 if entity @s[tag=bianca_sauce_spawner] on target run tag @s add bianca
execute if data storage pizza upgrade_10 if entity @s[tag=pesto_sauce_spawner] on target run tag @s add pesto
execute if entity @s[tag=board_spawner] on target run tag @s add board
execute if entity @s[tag=spawner] on target if score sfx settings matches 0 positioned as @s run playsound minecraft:item.bundle.remove_one master @s ~ ~ ~ 100 1


execute if entity @s[tag=guide] on target run title @s times 5t 200t 5t
execute if entity @s[tag=guide] on target run title @s title [{"translate": "space.-15"},{"text":"g","font":"pizza","color":"white"},{"translate": "space.-100"},{"text":"a","font":"pizza","color":"white"},{"translate": "space.48"},{"translate": "newlayer"},{"text":"b","font":"pizza","color":"white"},{"translate": "space.-87"},{"translate": "newlayer"},{"text":"c","font":"pizza","color":"white"},{"translate": "space.48"},{"translate": "newlayer"},{"text":"d","font":"pizza","color":"white"},{"translate": "space.-82"},{"translate": "newlayer"},{"text":"e","font":"pizza","color":"white"},{"translate": "newlayer"},{"translate": "space.2"},{"text":"f","font":"pizza","color":"white"}]

execute if entity @s[tag=settings_music] if score music settings matches 0 run data modify entity @e[tag=settings_music_toggle,limit=1] item.tag.CustomModelData set value 1
execute if entity @s[tag=settings_music] if score music settings matches 1 run data modify entity @e[tag=settings_music_toggle,limit=1] item.tag.CustomModelData set value 0

execute if entity @s[tag=settings_sfx] if score sfx settings matches 0 run data modify entity @e[tag=settings_sfx_toggle,limit=1] item.tag.CustomModelData set value 1
execute if entity @s[tag=settings_sfx] if score sfx settings matches 1 run data modify entity @e[tag=settings_sfx_toggle,limit=1] item.tag.CustomModelData set value 0

execute if entity @s[tag=settings] store result score music settings run data get entity @e[tag=settings_music_toggle,limit=1] item.tag.CustomModelData
execute if entity @s[tag=settings] store result score sfx settings run data get entity @e[tag=settings_sfx_toggle,limit=1] item.tag.CustomModelData

execute if entity @s[tag=settings_music] if score music settings matches 0 run function pizza:setup/scoreboards/music_player
execute if entity @s[tag=settings_music] if score music settings matches 1 run stopsound @a


execute if entity @s[tag=settings] if score sfx settings matches 0 positioned as @s run playsound minecraft:block.scaffolding.break master @a ~ ~ ~ 100 2


execute if entity @s[tag=settings_skip] if data storage pizza available_upgrades[0] on target run function pizza:setup/scoreboards/skip_trigger
execute if entity @s[tag=settings_reset] on target run function pizza:setup/scoreboards/restart_trigger

data remove entity @s interaction